Bug 12833 - icewm should translate menu using menu-messages.mo.
: icewm should translate menu using menu-messages.mo.
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/icewm)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-18 22:20 by
Modified: 2010-01-02 07:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-18 22:20:09
как результат обсуждения в sisyphus@
icewm надо научить переводить меню в зависимости от локали пользователя.
как в WindowMaker-0.91.0-alt-menutrans.patch.

>> и, что уже не есть хорошо, не определил /etc/menu-methods/lang.h
>> во что-то хорошее вида 
>Во первых это атавизм, а во вторых ничего хорошего в этом нет.

>В "нормальных DE" уже давно используется freedesktop menu, и
>пакет menu к ним отношения не имеет.  А для старых систем
>получается игнорирование локали пользователя.

>WindowMaker, кстати, сам переводит меню, подключая
>menu-messages.mo.
------- Comment #1 From 2007-09-18 22:48:36 -------
На мантейнера
------- Comment #2 From 2007-09-19 22:55:54 -------
Оставляя в стороне freedesktop и  иже с ним (т.к.  мне самому точно  не под
силу
написать поддержку оного):

1) Если в /e/menu-methods/lang.h никто не определил общесистемной локали - это
не проблема icewm.

2) А разве это дело КАЖДОГО WM-а - переводить меню? Не логичнее ли, чтобы
менюшками занимались те, кто ими занимается (пакет menu, IMHO)? Патч на WM
гляну, но всё равно, ИМХО, это неправильный подход.

3) icewm МОЖЕТ генерить меню в локали конкретного пользователя, если тот имеет
локаль, отличную от общесистемной (прописанную добрым инсталлером/админом в
/e/menu-methods/lang.h). Грубо говоря, схема такова:

cd
mkdir .menu-methods
cp /etc/menu-methods .menu-methods
vi .menu-methods/lang.h (прописать свою локаль)
update-menus

Разумеется, соответствующий языку menu-messages.mo должен быть установлен. И
разумеется, после установки/удаления пакетов в меню это не отразится до
следующего запуска update-menus (я ставил при перезакрузке/старте icewm).

Как сделать это красиво, я что-то даже не придумал. Предложения приветствуются.

P.S.: поговорим ещё, или сразу INVALID? :-)
------- Comment #3 From 2007-09-20 00:16:45 -------
гм. как воркараунд хорошо придумано.
я тогда приделаю к icewm-startup подпакет
icewm-startup-update-menus: 
if -e ~/.menu-methods && -e ~/.icewm/menu then update-menus
и будет все как вы описали.

но лучше пусть повисит ACCEPTED?
может у меня время найдется и я сам патч напишу...
напоминание будет...

------- Comment #4 From 2007-09-20 00:24:48 -------
но вообще надо бороться за icewm.
а то реплики бросают типа 
>В "нормальных DE" ... :(
------- Comment #5 From 2007-09-20 03:14:42 -------
(In reply to comment #3)
> гм. как воркараунд хорошо придумано.
> я тогда приделаю к icewm-startup подпакет
> icewm-startup-update-menus: 
> if -e ~/.menu-methods && -e ~/.icewm/menu then update-menus
> и будет все как вы описали.

Ну не прям таким кодом, но направление мысли хорошее. Ждём-с...

> но лучше пусть повисит ACCEPTED?
> может у меня время найдется и я сам патч напишу...
> напоминание будет...

Мне не жалко. ASSIGNED

(In reply to comment #4)
> но вообще надо бороться за icewm.
> а то реплики бросают типа 
> >В "нормальных DE" ... :(

Вешайте баги, пишите патчи :-)
------- Comment #6 From 2007-09-20 12:04:49 -------
залил пока icewm-startup-0.11-alt1.src.rpm в incoming:/incoming/Sisyphus/
------- Comment #7 From 2008-06-25 15:49:18 -------
Наткнулся на эту же проблему - часть пунктов меню в icewm не переведено.
Система поставлена с нуля, в десктоп-файлах переводы есть.

Предлагаю поднять до Major - в дистрибутив класть такой WM неззя.
------- Comment #8 From 2008-06-25 15:50:11 -------
Может быть Сергей подскажет более корректное решение.
------- Comment #9 From 2008-06-25 19:41:04 -------
(In reply to comment #7)
> Наткнулся на эту же проблему - часть пунктов меню в icewm не переведено.
> Система поставлена с нуля, в десктоп-файлах переводы есть.

Не-не-не! "Часть пунктов не переведена" - ну а остальные-то значит переведены.
Т.е. часть переводов update-menus сделал, часть - нет, получается? При чём
здесь icewm то?

Как воспроизвести такую проблему?

> Предлагаю поднять до Major - в дистрибутив класть такой WM неззя.

Не согласен. Другое дело - WM по какому-то умолчанию.

2zerg: есть мысли, как верно?
------- Comment #10 From 2008-06-25 20:30:16 -------
В том то и дело, что icewm в данном дистрибутиве - WM по умолчанию. 

Я так понял, что не переведено всё, что идёт из desktop файлов. Всё остальное -
с переводами.
------- Comment #11 From 2008-08-04 15:01:37 -------
А будет поддержка freedesktop-меню?
В devel давно уже кто-то писал, что MDK пропатчил.
У них IceWM 1.3.1
------- Comment #12 From 2008-08-04 15:46:18 -------
(In reply to comment #11)
> А будет поддержка freedesktop-меню?
> В devel давно уже кто-то писал, что MDK пропатчил.
> У них IceWM 1.3.1
> 

Когда это писалось, весь патч MDK сводился к пойску иконок там, где ищут их
.desktop-DE. Этот патч у нас приложен.

Актуальное состояния Icewm в основных диструтивах (патчи в т.ч.) я посмотрю на
днях. Но, сдаётся мне, .desktop-support там как не было, так и нет.
------- Comment #13 From 2010-01-01 23:49:45 -------
wontfix?
------- Comment #14 From 2010-01-02 07:44:06 -------
Скорее, NOTABUG. WM без поддержки desktop-файлов не должен заниматься
переводами меню. Для этого есть пакет menu.

Как объезд см. c#2 и пакет icewm-startup-update-menus.